Bug 24102 - Doppeltes Mapping für univentionInventoryNumber
Doppeltes Mapping für univentionInventoryNumber
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: LDAP
UCS 2.4
Other Linux
: P5 normal (vote)
: UCS 3.2
Assigned To: Erik Damrose
Arvid Requate
: interim-1
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-19 08:31 CEST by Philipp Hahn
Modified: 2013-11-19 06:43 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Cleanup
Max CVSS v3 score:
hahn: Patch_Available+


Attachments
Remove 2nd mapping of univentionInventoryNumber (4.70 KB, patch)
2011-10-19 08:31 CEST, Philipp Hahn
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2011-10-19 08:31:42 CEST
Created attachment 3654 [details]
Remove 2nd mapping of univentionInventoryNumber

In den Modules für dir computers/domaincontroller_* wird ist das Mapping von
inventoryNumber auf univentionInventoryNumber jeweils doppelt vorhanden:

$ grep -n univentionInventoryNumber
/usr/share/pyshared/univention/admin/handlers/computers/domaincontroller_*.py
/usr/share/pyshared/univention/admin/handlers/computers/domaincontroller_backup.py:350:mapping.register('inventoryNumber',
'univentionInventoryNumber')
/usr/share/pyshared/univention/admin/handlers/computers/domaincontroller_backup.py:354:mapping.register('inventoryNumber',
'univentionInventoryNumber')
/usr/share/pyshared/univention/admin/handlers/computers/domaincontroller_master.py:350:mapping.register('inventoryNumber',
'univentionInventoryNumber')
/usr/share/pyshared/univention/admin/handlers/computers/domaincontroller_master.py:354:mapping.register('inventoryNumber',
'univentionInventoryNumber')
/usr/share/pyshared/univention/admin/handlers/computers/domaincontroller_slave.py:350:mapping.register('inventoryNumber',
'univentionInventoryNumber')
/usr/share/pyshared/univention/admin/handlers/computers/domaincontroller_slave.py:354:mapping.register('inventoryNumber',
'univentionInventoryNumber')

Aufgefallen an Ticket #2011032910000348 bei Kunden 6340
Comment 1 Erik Damrose univentionstaff 2013-06-28 15:14:57 CEST
Fixed in rev41795:
univention-directory-manager-modules 9.0.3-1.1021.201306281511
Comment 2 Arvid Requate univentionstaff 2013-08-13 18:10:53 CEST
Verified: fixed, built and changelog ok
Comment 3 Stefan Gohmann univentionstaff 2013-11-19 06:43:35 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".